//*****************************************************************************
//      Header file for:
//		font management system and font allocations
//
//      Written by Stuart Prescott:
//              Written:                10/10/1996
//              Last Modified:          27/10/1996
//
//      Libraries Required:
//              libsx (Dominic Giamapolo - Athena Widget Set)
//
//      System headers:
//              Streamed I/O
//
//*****************************************************************************

#ifndef FONTNAMES_H 
#define FONTNAMES_H 1 

#define MONITORFONTALLOCS 	0

extern "C" {
    #include <libsx.h>
}
#include <iostream.h>

//define what font names to use 
#define TITLEFONTNAME 		"*times*bold-r-*--18*" 
#define TITLESUBFONTNAME 	"*times*bold-r-*--14*" 
#define TITLESUBSUBFONTNAME 	"*times*bold-r-*--12*" 
 
#define PROMPTFONTNAME 		"*times*bold-i-*--12*" 
#define BUTTONFONTNAME 		"*times*bold-r-*--14*" 
 
#define MENUFONTNAME 		"*courier*medium-r-*--12*" 
#define MENUSUBFONTNAME 	"*courier*medium-r-*--10*" 
#define MENUSUBSUBFONTNAME 	"*courier*medium-r-*--8*" 
 
#define PLOTTITLEFONTNAME 	MENUFONTNAME 
#define PLOTSCALEFONTNAME 	MENUSUBFONTNAME 

// use the #defines to set up the fonts as needed . . .
class FontDefs
{
    public:

        XFont
            menu, Smenu, SSmenu,
            title, Stitle, SStitle,
            prompt, button, plottitle, plotscale,
            infotext;

        FontDefs();

        ~FontDefs();

        void check(XFont f)
	    {if (!f) cerr<<"NULL ptr returned for font\n"; return;}

};

#endif 
